Bug 585188 - RHN Firstboot screens not compatible with RHEL-6 firstboot module
Summary: RHN Firstboot screens not compatible with RHEL-6 firstboot module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: beta
: ---
Assignee: Jan Pazdziora
QA Contact: Jiri Kastner
URL:
Whiteboard:
: 591434 (view as bug list)
Depends On: 595320
Blocks: 582655
TreeView+ depends on / blocked
 
Reported: 2010-04-23 11:53 UTC by Pradeep Kilambi
Modified: 2010-07-02 19:48 UTC (History)
6 users (show)

Fixed In Version: rhn-client-tools-1.0.0-13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-02 19:48:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pradeep Kilambi 2010-04-23 11:53:55 UTC
Description of problem:

Firstboot module has been revamped in RHEL-6 and RHN modules are still using older classes. As of beta-1 firstboot will skip any screens that use "firstboot_module_window". This module from what I can tell has been removed from firstboot.

Firstboot's loader if failing to import, checks for any modules that use firstboot_module_window and skip it like so,

except ImportError as e:
            if str(e).find("firstboot_module_window") != -1:
                logging.error(_("Skipping old module %s that has not been updated.") % module)

Debugging Further I noticed the error to be:

firstboot 1.110 exception report
Traceback (most recent call last):
  File "/usr/sbin/firstboot", line 180, in <module>
    config.moduleList = loadModules(config.moduleDir, config.mode)
  File "/usr/lib64/python2.6/site-packages/firstboot/loader.py", line 86, in loadModules
    raise e
ImportError: No module named firstboot_module_window

You will see warnings like the following:

firstboot ERROR: Skipping old module rhn_register_firstboot_gui_window that has not been updated.
firstboot ERROR: Error loading module rhn_register_firstboot_gui_window:
No module named firstboot_module_window
firstboot ERROR: Skipping old module rhn_create_profile_gui that has not been updated.
firstboot ERROR: Error loading module rhn_create_profile_gui: 

Version-Release number of selected component (if applicable):
# rpm -qa|grep rhn-setup
rhn-setup-0.9.3-2.el6.noarch
rhn-setup-gnome-0.9.3-2.el6.noarch

Comment 1 RHEL Program Management 2010-04-23 12:43:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Jan Pazdziora 2010-05-24 13:40:59 UTC
Taking.

Comment 6 Jan Pazdziora 2010-05-25 14:43:59 UTC
Fixed in Spacewalk master, commits 07068b19b2704250d19370fa9ff8edafae358ce1, 945391d1501aa5987cc4dff365533f665795ba2a, and fac7c7e24691a923ca5041eb4584ed218eff22ce.

Comment 7 Jan Pazdziora 2010-05-25 15:00:16 UTC
Cherry-picked to CLIENT-RHEL-6, squashed to commit 2dbb03d1e5dc3718c2d11fccd47cab328264d78b.

Comment 8 Jan Pazdziora 2010-05-25 15:17:14 UTC
Tagged and built as rhn-client-tools-1.0.0-12.el6. There still are some errors that we will need to address but this proof of concept package can be used for testing.

Comment 9 Jan Pazdziora 2010-05-25 15:33:44 UTC
*** Bug 591434 has been marked as a duplicate of this bug. ***

Comment 10 Jan Pazdziora 2010-05-26 09:10:45 UTC
Two more commits, 3434253a518d62d582e5c9b66716371da487b5b4 and 8e0e02493d79a4ce0a34e905ea788d12758412b3.

Cherry picked as 38caa43299ab57bf7f9ba74f40f5035abd659941 and bc78eba29bfc0cc04c11a04e7ce728228a5e47fa.

Tagged and built as rhn-client-tools-1.0.0-13.el6.

Comment 13 Jiri Kastner 2010-06-07 09:01:25 UTC
verified on all rhel6 platforms

Comment 14 releng-rhel@redhat.com 2010-07-02 19:48:59 UTC
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.